%global pypi_name zeep

Name:           python-%{pypi_name}
Version:        4.0.0
Release:        1%{?dist}
Summary:        Modern and fast Python SOAP client

License:        MIT
URL:            http://docs.python-zeep.org
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(appdirs)
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(cached-property)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(defusedxml)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(httpx)
BuildRequires:  python3dist(isodate)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pretend)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-httpx)
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(requests-file)
BuildRequires:  python3dist(requests-mock)
BuildRequires:  python3dist(requests-toolbelt)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(xmlsec)

%description
A fast and modern Python SOAP client.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A fast and modern Python SOAP client.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon Oct 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.0.0-1
- Initial package for Fedora